# $Revision: 1.34 $, $Date: 2011/12/02 16:56:54 $
Summary:	[incr Tcl] - object-oriented extension of the Tcl language
Summary(pl.UTF-8):	[incr Tcl] - obiektowo zorientowane rozszerzenie języka Tcl
Name:		itcl
%define	vermaj	3.4
Version:	%{vermaj}.1
Release:	1
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://downloads.sourceforge.net/incrtcl/%{name}%{version}.tar.gz
# Source0-md5:	e7c98e0f69df1a675073ddd3344f0b7f
Patch0:		%{name}-soname.patch
URL:		http://incrtcl.sourceforge.net/itcl/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
Requires:	tcl >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
[incr Tcl] provides the extra language support needed to build large
Tcl/Tk applications. It introduces the notion of objects, which act as
building blocks for an application. Each object is a bag of data with
a set of procedures or "methods" that are used to manipulate it.
Objects are organized into "classes" with identical characteristics,
and classes can inherit functionality from one another. This
object-oriented paradigm adds another level of organization on top of
the basic variable/procedure elements, and the resulting code is
easier to understand and maintain.

%description -l pl.UTF-8
[incr Tcl] dostarcza dodatkowe wsparcie języka potrzebne przy
tworzeniu dużych aplikacji Tcl/Tk. Wprowadza pojęcie obiektów, które
służą jako bloki do budowania aplikacji. Każdy obiekt jest workiem
danych ze zbiorem procedur lub "metod", które służą do manipulowania
tymi danymi. Obiekty są organizowane w "klasy" o identycznej
charakterystyce, a klasy mogą dziedziczyć funkcjonalność z innych
klas. Ten paradygmat orientacji obiektowej dodaje dodatkowy poziom
zorganizowania do podstawowych elementów zmiennych i procedur, a
wynikający z tego kod jest łatwiejszy do zrozumienia i utrzymania.

%package devel
Summary:	Header files for itcl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki itcl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.4.6

%description devel
Header files for itcl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki itcl.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1

%build
%{__autoconf}
%configure \
	--libdir=%{_ulibdir}

%{__make} \
	CFLAGS_DEFAULT=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_ulibdir}/itcl%{vermaj}/libitcl* $RPM_BUILD_ROOT%{_libdir}

libfile=$(basename $RPM_BUILD_ROOT%{_libdir}/libitcl%{vermaj}.so.0.*)
ln -sf $libfile $RPM_BUILD_ROOT%{_libdir}/libitcl%{vermaj}.so.0
ln -sf $libfile $RPM_BUILD_ROOT%{_libdir}/libitcl%{vermaj}.so
ln -sf $libfile $RPM_BUILD_ROOT%{_libdir}/libitcl.so

%{__sed} -i -e 's#-L[^ ]* ##' \
	-e 's#%{_builddir}/%{name}%{version}#%{_libdir}#' \
	-e 's#%{_ulibdir}/itcl%{vermajor}/lib#%{_libdir}/lib#' \
	$RPM_BUILD_ROOT%{_ulibdir}/itclConfig.sh

%{__sed} -i -e 's#%{_ulibdir}#%{_libdir}#' $RPM_BUILD_ROOT%{_ulibdir}/itcl%{vermaj}/pkgIndex.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libitcl%{vermaj}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libitcl%{vermaj}.so.0
%dir %{_ulibdir}/itcl%{vermaj}
%{_ulibdir}/itcl%{vermaj}/*.tcl
%{_mandir}/mann/body.n*
%{_mandir}/mann/class.n*
%{_mandir}/mann/code.n*
%{_mandir}/mann/configbody.n*
%{_mandir}/mann/delete.n*
%{_mandir}/mann/ensemble.n*
%{_mandir}/mann/find.n*
%{_mandir}/mann/is.n*
%{_mandir}/mann/itcl.n*
%{_mandir}/mann/itclvars.n*
%{_mandir}/mann/local.n*
%{_mandir}/mann/scope.n*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libitcl%{vermaj}.so
%attr(755,root,root) %{_libdir}/libitcl.so
%{_libdir}/libitclstub%{vermaj}.a
%{_ulibdir}/itclConfig.sh
%{_includedir}/itcl*.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: itcl.spec,v $
Revision 1.34  2011/12/02 16:56:54  qboosh
- adjust pkgIndex.tcl wrt _libdir/_ulibdir difference

Revision 1.33  2011/12/02 16:51:17  qboosh
- updated soname patch to use proper variable; patch pkgIndex.tcl for changed lib dir/soname

Revision 1.32  2011/12/01 18:09:40  qboosh
- updated to 3.4.1
- updated soname patch
- separate build: itk and iwidgets moved to their own specs
- kill builddir references from itclConfig.sh

Revision 1.31  2008/07/11 19:08:48  qboosh
- ghost soname symlinks, file list cleanup

Revision 1.30  2008/04/05 19:26:49  qboosh
- stubs todo

Revision 1.29  2008-04-03 16:54:46  baggins
- builds on all archs

Revision 1.28  2008-04-03 16:48:33  baggins
- work around lib64 problems

Revision 1.27  2008-04-03 16:33:50  baggins
- proper snap version
- updated, builds with tcl 8.5

Revision 1.26  2008-04-03 16:19:42  baggins
- typo

Revision 1.25  2008-04-03 16:19:03  baggins
- use CVS snap

Revision 1.24  2008-04-02 17:20:18  baggins
- rel 2
- soname patch is back
- install libs in proper place

Revision 1.23  2008-04-02 14:45:19  baggins
- enabled iwidgets
- general cleanup

Revision 1.22  2008-04-02 12:37:56  baggins
- add itclConfig.sh to devel

Revision 1.21  2008-02-24 13:25:07  glen
- release 1

Revision 1.20  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.18  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.17  2006/07/20 21:09:57  cieciwa
- iwidgets removed in this moment.

Revision 1.16  2006/07/20 21:06:19  cieciwa
- release 0.5.
Testing req.

Revision 1.15  2006/07/20 20:31:51  cieciwa
- updated to version 3.3,
- release 0.2

Revision 1.14  2004/03/07 00:41:35  qboosh
- updated soname patch for new tcl soname fixes; release 3

Revision 1.13  2004/01/31 21:33:53  qboosh
- libdir patch and other changes for lib64 support; release 2

Revision 1.12  2004/01/01 23:08:44  qboosh
- base R: tcl,tk, -devel R: tcl-devel,tk-devel

Revision 1.11  2003/12/31 17:47:17  qboosh
- added soname patch and -devel package

Revision 1.10  2003/10/07 15:21:50  qboosh
- pl, use optflags, added ldconfig, fixed so attr

Revision 1.9  2003/09/25 23:20:30  ankry
- formatting

Revision 1.8  2003/09/25 14:51:17  wiget
- cosmetic

Revision 1.7  2003/09/25 14:50:01  wiget
- realy realy URLs fix

Revision 1.6  2003/09/25 14:48:53  wiget
- realy URLs fix

Revision 1.5  2003/09/25 14:47:59  wiget
- URLs fix

Revision 1.4  2003/09/25 13:15:38  jajcus
- MD5 summ added for Source1

Revision 1.3  2003/09/25 13:15:15  jajcus
- [incr Widgets] added (todo: break into subpackages)

Revision 1.2  2003/09/25 12:41:58  jajcus
- MD5 sums fixed

Revision 1.1  2003/09/25 12:35:48  jajcus
- new spec
